

" Vim syntax file
" Language:	PrimeTime/TCL
" Maintainer:	Paul Zimmer <pzimmer@cisco.com>
" Original:	Paul Zimmer <pzimmer@cisco.com>
" Version:	1.0, 
"
"

" Remove any old syntax stuff hanging around
syn clear
" Pull in tcl/tk
source $VIM/syntax/tcl.vim

" Some special defines
syn match tclVarRef "$[_a-zA-Z][a-zA-Z1-9_.]*"
syn match tclVarRef "${[_a-zA-Z][a-zA-Z1-9_.]*}"
syn match tclVarRef "$_[_a-zA-Z][a-zA-Z1-9_.]*"
syn region  tclComment		start="^\s*\#" end="$" contains=tclTodo
syn region  tclComment		start=";\s*\#"hs=s+1 end="$" contains=tclTodo

syn region tclRepeat matchgroup=tcltkCommandColor start="\<foreach\>" matchgroup=NONE skip="^\s*$" end="[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand
syn region tclRepeat matchgroup=tcltkCommandColor start="\<foreach_in_collection\>" matchgroup=NONE skip="^\s*$" end="[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand
syn keyword ptinfo contained args body cmdcount commands complete default exists globals hostname level library loaded locals nameofexecutable patchlevel procs script sharedlibextension tclversion vars
hi link ptinfo Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<info\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptinfo

syn keyword ptsh contained 
hi link ptsh Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<sh\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,ptsh


" The rest is generated by a perl script running over the man page contents
syn keyword ptafter contained 
hi link ptafter Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<after\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptafter



syn keyword ptalias contained 
hi link ptalias Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<alias\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptalias

syn keyword ptappend contained 
hi link ptappend Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<append\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptappend



syn keyword ptapropos contained  symbols_only
hi link ptapropos Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<apropos\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptapropos

syn keyword ptarray contained 
hi link ptarray Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<array\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptarray

syn keyword ptbgerror contained 
hi link ptbgerror Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<bgerror\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptbgerror

syn keyword ptbinary contained 
hi link ptbinary Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<binary\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptbinary

syn keyword ptbreak contained 
hi link ptbreak Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<break\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptbreak

syn keyword ptcatch contained 
hi link ptcatch Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<catch\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptcatch

syn keyword ptcd contained 
hi link ptcd Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<cd\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptcd



syn keyword ptcheck_script contained 
hi link ptcheck_script Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<check_script\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptcheck_script

syn keyword ptclock contained 
hi link ptclock Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<clock\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptclock

syn keyword ptclose contained 
hi link ptclose Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<close\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptclose

syn keyword ptconcat contained 
hi link ptconcat Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<concat\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptconcat

syn keyword ptcontinue contained 
hi link ptcontinue Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<continue\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptcontinue



syn keyword ptcreate_command_group contained 
hi link ptcreate_command_group Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<create_command_group\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptcreate_command_group



syn keyword ptdate contained 
hi link ptdate Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<date\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptdate

syn keyword ptpackage contained 
hi link ptpackage Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<package\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptpackage



syn keyword ptdebug_script contained 
hi link ptdebug_script Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<debug_script\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptdebug_script



syn keyword ptdefine_proc_attributes contained  info define_args command_group hide_body hidden dont_abbrev permanent
hi link ptdefine_proc_attributes Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<define_proc_attributes\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptdefine_proc_attributes



syn keyword ptecho contained  n
hi link ptecho Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<echo\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptecho

syn keyword ptencoding contained 
hi link ptencoding Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<encoding\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptencoding

syn keyword pteof contained 
hi link pteof Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<eof\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,pteof

syn keyword pterror contained 
hi link pterror Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<error\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,pterror



syn keyword pterror_info contained 
hi link pterror_info Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<error_info\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,pterror_info

syn keyword pteval contained 
hi link pteval Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<eval\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,pteval

syn keyword ptexec contained 
hi link ptexec Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<exec\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptexec



syn keyword ptexit contained 
hi link ptexit Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<exit\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptexit

syn keyword ptexpr contained 
hi link ptexpr Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<expr\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptexpr

syn keyword ptfblocked contained 
hi link ptfblocked Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<fblocked\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptfblocked

syn keyword ptfconfigure contained 
hi link ptfconfigure Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<fconfigure\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptfconfigure

syn keyword ptfcopy contained 
hi link ptfcopy Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<fcopy\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptfcopy

syn keyword ptfile contained 
hi link ptfile Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<file\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptfile

syn keyword ptfileevent contained 
hi link ptfileevent Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<fileevent\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptfileevent



syn keyword ptrules contained 
hi link ptrules Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<rules\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptrules

syn keyword ptflush contained 
hi link ptflush Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<flush\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptflush

syn keyword ptfor contained 
hi link ptfor Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<for\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptfor

syn keyword ptformat contained 
hi link ptformat Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<format\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptformat



syn keyword ptgetenv contained 
hi link ptgetenv Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<getenv\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptgetenv

syn keyword ptgets contained 
hi link ptgets Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<gets\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptgets

syn keyword ptglob contained 
hi link ptglob Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<glob\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptglob

syn keyword ptglobal contained 
hi link ptglobal Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<global\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptglobal



syn keyword pthelp contained  verbose
hi link pthelp Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<help\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,pthelp



syn keyword pthistory contained  h r
hi link pthistory Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<history\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,pthistory

syn keyword ptpackage contained 
hi link ptpackage Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<package\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptpackage

syn keyword ptincr contained 
hi link ptincr Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<incr\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptincr

syn keyword ptinterp contained 
hi link ptinterp Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<interp\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptinterp



syn keyword ptis_false contained 
hi link ptis_false Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<is_false\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptis_false



syn keyword ptis_true contained 
hi link ptis_true Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<is_true\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptis_true

syn keyword ptjoin contained 
hi link ptjoin Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<join\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptjoin

syn keyword ptlappend contained 
hi link ptlappend Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<lappend\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptlappend

syn keyword ptauto_execok contained 
hi link ptauto_execok Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<auto_execok\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptauto_execok

syn keyword ptlindex contained 
hi link ptlindex Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<lindex\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptlindex

syn keyword ptlinsert contained 
hi link ptlinsert Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<linsert\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptlinsert

syn keyword ptlist contained 
hi link ptlist Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<list\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptlist

syn keyword ptllength contained 
hi link ptllength Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<llength\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptllength



syn keyword ptlminus contained 
hi link ptlminus Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<lminus\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptlminus

syn keyword ptlrange contained 
hi link ptlrange Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<lrange\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptlrange

syn keyword ptlreplace contained 
hi link ptlreplace Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<lreplace\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptlreplace



syn keyword ptls contained 
hi link ptls Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<ls\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptls

syn keyword ptlsearch contained 
hi link ptlsearch Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<lsearch\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptlsearch

syn keyword ptlsort contained 
hi link ptlsort Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<lsort\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptlsort



syn keyword ptman contained 
hi link ptman Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<man\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptman

syn keyword pt::msgcat::mc contained 
hi link pt::msgcat::mc Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<::msgcat::mc\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,pt::msgcat::mc

syn keyword ptnamespace contained 
hi link ptnamespace Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<namespace\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptnamespace

syn keyword ptopen contained 
hi link ptopen Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<open\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptopen

syn keyword ptpackage contained 
hi link ptpackage Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<package\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptpackage



syn keyword ptparse_proc_arguments contained  args
hi link ptparse_proc_arguments Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<parse_proc_arguments\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptparse_proc_arguments

syn keyword ptpid contained 
hi link ptpid Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<pid\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptpid

syn keyword ptpkg_mkIndex contained 
hi link ptpkg_mkIndex Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<pkg_mkIndex\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptpkg_mkIndex



syn keyword ptprint_suppressed_message contained 
hi link ptprint_suppressed_message Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<print_suppressed_message\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptprint_suppressed_message



syn keyword ptprintenv contained 
hi link ptprintenv Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<printenv\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptprintenv



syn keyword ptprintvar contained  user_defined application
hi link ptprintvar Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<printvar\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptprintvar

syn keyword ptproc contained 
hi link ptproc Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<proc\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptproc



syn keyword ptproc_args contained 
hi link ptproc_args Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<proc_args\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptproc_args



syn keyword ptproc_body contained 
hi link ptproc_body Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<proc_body\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptproc_body

syn keyword ptputs contained 
hi link ptputs Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<puts\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptputs

syn keyword ptpwd contained 
hi link ptpwd Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<pwd\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptpwd



syn keyword ptquit contained 
hi link ptquit Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<quit\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptquit





syn keyword ptaddition contained 
hi link ptaddition Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<addition\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptaddition

syn keyword ptread contained 
hi link ptread Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<read\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptread



syn keyword ptredirect contained  append
hi link ptredirect Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<redirect\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptredirect









syn keyword ptpackage contained 
hi link ptpackage Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<package\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptpackage

syn keyword ptregsub contained 
hi link ptregsub Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<regsub\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptregsub

syn keyword ptresource contained 
hi link ptresource Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<resource\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptresource

syn keyword ptreturn contained 
hi link ptreturn Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<return\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptreturn

syn keyword pt::safe::interpCreate contained 
hi link pt::safe::interpCreate Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<::safe::interpCreate\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,pt::safe::interpCreate

syn keyword ptscan contained 
hi link ptscan Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<scan\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptscan

syn keyword ptseek contained 
hi link ptseek Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<seek\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptseek

syn keyword ptset contained 
hi link ptset Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<set\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptset



syn keyword ptsetenv contained 
hi link ptsetenv Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<setenv\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptsetenv



syn keyword ptsocket contained 
hi link ptsocket Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<socket\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptsocket



syn keyword ptsource contained  echo verbose
hi link ptsource Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<source\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptsource

syn keyword ptsplit contained 
hi link ptsplit Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<split\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptsplit

syn keyword ptstring contained 
hi link ptstring Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<string\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptstring

syn keyword ptsubst contained 
hi link ptsubst Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<subst\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptsubst



syn keyword ptsuppress_message contained 
hi link ptsuppress_message Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<suppress_message\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptsuppress_message

syn keyword ptswitch contained 
hi link ptswitch Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<switch\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptswitch

syn keyword ptpackage contained 
hi link ptpackage Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<package\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptpackage

syn keyword pttell contained 
hi link pttell Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<tell\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,pttell

syn keyword pttime contained 
hi link pttime Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<time\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,pttime

syn keyword pttrace contained 
hi link pttrace Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<trace\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,pttrace



syn keyword ptunalias contained 
hi link ptunalias Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<unalias\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptunalias

syn keyword ptunset contained 
hi link ptunset Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<unset\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptunset



syn keyword ptunsuppress_message contained 
hi link ptunsuppress_message Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<unsuppress_message\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptunsuppress_message

syn keyword ptupdate contained 
hi link ptupdate Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<update\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptupdate

syn keyword ptuplevel contained 
hi link ptuplevel Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<uplevel\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptuplevel

syn keyword ptupvar contained 
hi link ptupvar Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<upvar\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptupvar

syn keyword ptvariable contained 
hi link ptvariable Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<variable\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptvariable

syn keyword ptvwait contained 
hi link ptvwait Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<vwait\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptvwait



syn keyword ptwhich contained 
hi link ptwhich Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<which\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptwhich

syn keyword ptwhile contained 
hi link ptwhile Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<while\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptwhile



syn keyword ptadd_to_collection contained  unique
hi link ptadd_to_collection Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<add_to_collection\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptadd_to_collection



syn keyword ptall_clocks contained 
hi link ptall_clocks Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<all_clocks\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptall_clocks



syn keyword ptall_connected contained 
hi link ptall_connected Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<all_connected\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptall_connected



syn keyword ptall_fanin contained  to flat only_cells startpoints_only levels
hi link ptall_fanin Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<all_fanin\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptall_fanin



syn keyword ptall_fanout contained  from clock_tree flat only_cells endpoints_only levels
hi link ptall_fanout Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<all_fanout\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptall_fanout



syn keyword ptall_inputs contained  level_sensitive edge_triggered clock
hi link ptall_inputs Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<all_inputs\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptall_inputs



syn keyword ptall_instances contained  hierarchy
hi link ptall_instances Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<all_instances\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptall_instances



syn keyword ptall_outputs contained  level_sensitive edge_triggered clock
hi link ptall_outputs Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<all_outputs\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptall_outputs



syn keyword ptall_registers contained  clock cells data_pins clock_pins slave_clock_pins async_pins output_pins level_sensitive edge_triggered master_slave no_hierarchy
hi link ptall_registers Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<all_registers\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptall_registers



syn keyword ptallocate_budgets contained  effort min_register_to_output min_input_to_output min_input_to_register incremental check_only create_context no_boundary_annotations no_environment interblock_logic file_format_spec separator format levels write_context budget_design_ware
hi link ptallocate_budgets Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<allocate_budgets\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptallocate_budgets



syn keyword ptcell_of contained 
hi link ptcell_of Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<cell_of\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptcell_of



syn keyword ptcharacterize_context contained  timing environment design_rules constant_inputs no_boundary_annotations
hi link ptcharacterize_context Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<characterize_context\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptcharacterize_context



syn keyword ptcheck_budget contained  verbose tolerance from to no_environment interblock_logic
hi link ptcheck_budget Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<check_budget\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptcheck_budget



syn keyword ptcheck_timing contained  verbose generic unconstrained_endpoints ms_separation ms_min_separation latch_fanout multiple_clock no_clock no_input_delay ignored_attributes loops significant_digits generated_clocks retain
hi link ptcheck_timing Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<check_timing\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptcheck_timing



syn keyword ptcompare_collections contained  order_dependent
hi link ptcompare_collections Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<compare_collections\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptcompare_collections



syn keyword ptcompile_stamp_model contained  model_file data_file update output library_cell test_design
hi link ptcompile_stamp_model Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<compile_stamp_model\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptcompile_stamp_model



syn keyword ptcomplete_net_parasitics contained  complete_with
hi link ptcomplete_net_parasitics Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<complete_net_parasitics\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptcomplete_net_parasitics



syn keyword ptconnect_net contained 
hi link ptconnect_net Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<connect_net\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptconnect_net



syn keyword ptcopy_collection contained 
hi link ptcopy_collection Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<copy_collection\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptcopy_collection



syn keyword ptcreate_cell contained  exact
hi link ptcreate_cell Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<create_cell\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptcreate_cell



syn keyword ptcreate_clock contained  period name waveform
hi link ptcreate_clock Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<create_clock\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptcreate_clock



syn keyword ptcreate_generated_clock contained  name source divide_by multiply_by duty_cycle invert edges edge_shift
hi link ptcreate_generated_clock Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<create_generated_clock\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptcreate_generated_clock



syn keyword ptcreate_lcd_operating_condition contained  op_worst mult_worst op_nominal mult_nominal op_best mult_best library
hi link ptcreate_lcd_operating_condition Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<create_lcd_operating_condition\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptcreate_lcd_operating_condition



syn keyword ptcreate_net contained  exact
hi link ptcreate_net Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<create_net\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptcreate_net



syn keyword ptcreate_operating_conditions contained  name library process temperature voltage tree_type calc_mode rail_voltages
hi link ptcreate_operating_conditions Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<create_operating_conditions\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptcreate_operating_conditions



syn keyword ptcreate_qtm_constraint_arc contained  name setup hold from to edge path_type path_factor value
hi link ptcreate_qtm_constraint_arc Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<create_qtm_constraint_arc\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptcreate_qtm_constraint_arc



syn keyword ptcreate_qtm_delay_arc contained  name from to edge path_type path_factor value
hi link ptcreate_qtm_delay_arc Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<create_qtm_delay_arc\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptcreate_qtm_delay_arc



syn keyword ptcreate_qtm_drive_type contained  lib_cell input_pin output_pin
hi link ptcreate_qtm_drive_type Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<create_qtm_drive_type\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptcreate_qtm_drive_type



syn keyword ptcreate_qtm_load_type contained  lib_cell input_pin
hi link ptcreate_qtm_load_type Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<create_qtm_load_type\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptcreate_qtm_load_type



syn keyword ptcreate_qtm_model contained 
hi link ptcreate_qtm_model Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<create_qtm_model\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptcreate_qtm_model



syn keyword ptcreate_qtm_path_type contained  lib_cell input_pin output_pin fanout
hi link ptcreate_qtm_path_type Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<create_qtm_path_type\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptcreate_qtm_path_type



syn keyword ptcreate_qtm_port contained  type
hi link ptcreate_qtm_port Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<create_qtm_port\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptcreate_qtm_port



syn keyword ptcreate_timing_context contained  no_boundary_annotations
hi link ptcreate_timing_context Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<create_timing_context\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptcreate_timing_context



syn keyword ptcurrent_design contained 
hi link ptcurrent_design Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<current_design\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptcurrent_design



syn keyword ptcurrent_instance contained 
hi link ptcurrent_instance Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<current_instance\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptcurrent_instance



syn keyword ptdefine_design_mode contained  group_name
hi link ptdefine_design_mode Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<define_design_mode\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptdefine_design_mode



syn keyword ptdefine_user_attribute contained  type classes range_min range_max one_of import
hi link ptdefine_user_attribute Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<define_user_attribute\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptdefine_user_attribute



syn keyword ptderive_clocks contained  period waveform
hi link ptderive_clocks Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<derive_clocks\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptderive_clocks



syn keyword ptdisconnect_net contained  all
hi link ptdisconnect_net Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<disconnect_net\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptdisconnect_net



syn keyword ptdrive_of contained  rise fall wire_drive piece
hi link ptdrive_of Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<drive_of\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptdrive_of



syn keyword ptextract_model contained  context_borrow latch_level output operating_conditions update format library_cell remove_internal_arcs ignore_boundary_parasitics test_design
hi link ptextract_model Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<extract_model\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptextract_model



syn keyword ptfilter_collection contained  regexp nocase
hi link ptfilter_collection Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<filter_collection\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptfilter_collection



syn keyword ptfind contained  hierarchy flat
hi link ptfind Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<find\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptfind





syn keyword ptget_alternative_lib_cells contained  libraries
hi link ptget_alternative_lib_cells Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<get_alternative_lib_cells\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptget_alternative_lib_cells



syn keyword ptget_attribute contained  class quiet
hi link ptget_attribute Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<get_attribute\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptget_attribute



syn keyword ptget_cells contained  hierarchical quiet regexp nocase exact filter of_objects
hi link ptget_cells Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<get_cells\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptget_cells



syn keyword ptget_clock_network_objects contained  type
hi link ptget_clock_network_objects Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<get_clock_network_objects\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptget_clock_network_objects



syn keyword ptget_clocks contained  quiet regexp nocase filter
hi link ptget_clocks Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<get_clocks\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptget_clocks



syn keyword ptget_designs contained  hierarchical quiet regexp nocase exact filter
hi link ptget_designs Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<get_designs\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptget_designs



syn keyword ptget_generated_clocks contained  quiet regexp nocase filter
hi link ptget_generated_clocks Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<get_generated_clocks\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptget_generated_clocks



syn keyword ptget_ilm_objects contained  type
hi link ptget_ilm_objects Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<get_ilm_objects\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptget_ilm_objects



syn keyword ptget_lib_cells contained  filter quiet regexp nocase exact of_objects
hi link ptget_lib_cells Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<get_lib_cells\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptget_lib_cells



syn keyword ptget_lib_pins contained  filter quiet regexp nocase exact of_objects
hi link ptget_lib_pins Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<get_lib_pins\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptget_lib_pins



syn keyword ptget_lib_timing_arcs contained  to from of_objects filter
hi link ptget_lib_timing_arcs Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<get_lib_timing_arcs\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptget_lib_timing_arcs



syn keyword ptget_libs contained  filter quiet regexp nocase exact of_objects
hi link ptget_libs Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<get_libs\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptget_libs



syn keyword ptget_license contained 
hi link ptget_license Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<get_license\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptget_license



syn keyword ptget_nets contained  hierarchical filter quiet regexp nocase exact top_net_of_hierarchical_group of_objects
hi link ptget_nets Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<get_nets\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptget_nets



syn keyword ptget_object_name contained 
hi link ptget_object_name Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<get_object_name\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptget_object_name



syn keyword ptget_path_groups contained  quiet regexp nocase filter
hi link ptget_path_groups Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<get_path_groups\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptget_path_groups



syn keyword ptget_pins contained  hierarchical filter quiet regexp nocase exact leaf of_objects
hi link ptget_pins Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<get_pins\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptget_pins



syn keyword ptget_ports contained  filter quiet regexp nocase exact of_objects
hi link ptget_ports Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<get_ports\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptget_ports



syn keyword ptget_qtm_ports contained  filter
hi link ptget_qtm_ports Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<get_qtm_ports\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptget_qtm_ports



syn keyword ptget_timing_arcs contained  to from of_objects filter quiet
hi link ptget_timing_arcs Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<get_timing_arcs\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptget_timing_arcs



syn keyword ptget_timing_paths contained  to from rise_from fall_from through rise_through fall_through delay_type nworst npaths_per_startpoint max_paths enable_preset_clear_arcs group true unique_pins true_threshold slack_greater_than slack_lesser_than report_clock_reconvergence_pessimism remove_clock_reconvergence_pessimism ignore_register_feedback include_hierarchical_pins justify
hi link ptget_timing_paths Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<get_timing_paths\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptget_timing_paths



syn keyword ptgroup_path contained  name default weight critical_range from to through
hi link ptgroup_path Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<group_path\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptgroup_path



syn keyword ptidentify_interface_logic contained  ignore_ports auto_ignore latch_level
hi link ptidentify_interface_logic Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<identify_interface_logic\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptidentify_interface_logic



syn keyword ptindex_collection contained 
hi link ptindex_collection Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<index_collection\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptindex_collection



syn keyword ptinsert_buffer contained  inverter_pair
hi link ptinsert_buffer Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<insert_buffer\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptinsert_buffer



syn keyword pt_f_e_a_t_u_r_e__l_i_s_t contained 
hi link pt_f_e_a_t_u_r_e__l_i_s_t Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<_f_e_a_t_u_r_e__l_i_s_t\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,pt_f_e_a_t_u_r_e__l_i_s_t



syn keyword ptlink_design contained  verbose incremental remove_sub_designs
hi link ptlink_design Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<link_design\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptlink_design



syn keyword ptlist_attributes contained  application class
hi link ptlist_attributes Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<list_attributes\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptlist_attributes



syn keyword ptlist_delcalc_resources contained 
hi link ptlist_delcalc_resources Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<list_delcalc_resources\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptlist_delcalc_resources



syn keyword ptlist_designs contained  all only_used
hi link ptlist_designs Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<list_designs\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptlist_designs



syn keyword ptlist_libraries contained  only_used
hi link ptlist_libraries Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<list_libraries\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptlist_libraries



syn keyword ptlist_licenses contained 
hi link ptlist_licenses Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<list_licenses\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptlist_licenses



syn keyword ptload_of contained 
hi link ptload_of Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<load_of\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptload_of



syn keyword pt-truncate contained 
hi link pt-truncate Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<-truncate\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,pt-truncate



syn keyword ptread_db contained  netlist_only library
hi link ptread_db Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<read_db\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptread_db



syn keyword ptread_edif contained  complete_language
hi link ptread_edif Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<read_edif\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptread_edif



syn keyword ptread_file contained  format single_file names_file define
hi link ptread_file Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<read_file\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptread_file



syn keyword ptread_min_max_lib contained  min max name min_operating_condition max_operating_condition use_min_operating_condition use_max_operating_condition force
hi link ptread_min_max_lib Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<read_min_max_lib\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptread_min_max_lib



syn keyword ptread_parasitics contained  complete_with lumped_cap_only pin_cap_included increment path keep_capacitive_coupling strip_path coupling_reduction_factor quiet syntax_only
hi link ptread_parasitics Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<read_parasitics\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptread_parasitics



syn keyword ptread_sdc contained  echo syntax_only version
hi link ptread_sdc Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<read_sdc\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptread_sdc



syn keyword ptread_sdf contained  load_delay analysis_type min_file max_file path type min_type max_type cond_use syntax_only strip_path quiet
hi link ptread_sdf Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<read_sdf\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptread_sdf



syn keyword ptread_verilog contained  hdl_compiler
hi link ptread_verilog Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<read_verilog\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptread_verilog



syn keyword ptread_vhdl contained 
hi link ptread_vhdl Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<read_vhdl\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptread_vhdl



syn keyword ptremove_annotated_check contained  all setup recovery hold removal nochange_high nochange_low rise fall clock from to
hi link ptremove_annotated_check Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<remove_annotated_check\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptremove_annotated_check



syn keyword ptremove_annotated_delay contained  all from to
hi link ptremove_annotated_delay Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<remove_annotated_delay\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptremove_annotated_delay



syn keyword ptremove_annotated_parasitics contained 
hi link ptremove_annotated_parasitics Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<remove_annotated_parasitics\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptremove_annotated_parasitics



syn keyword ptremove_annotated_transition contained  all
hi link ptremove_annotated_transition Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<remove_annotated_transition\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptremove_annotated_transition



syn keyword ptremove_buffer contained 
hi link ptremove_buffer Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<remove_buffer\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptremove_buffer



syn keyword ptremove_capacitance contained 
hi link ptremove_capacitance Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<remove_capacitance\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptremove_capacitance



syn keyword ptremove_case_analysis contained 
hi link ptremove_case_analysis Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<remove_case_analysis\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptremove_case_analysis



syn keyword ptremove_cell contained  all
hi link ptremove_cell Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<remove_cell\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptremove_cell



syn keyword ptremove_clock contained  all
hi link ptremove_clock Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<remove_clock\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptremove_clock



syn keyword ptremove_clock_gating_check contained  setup hold rise fall high low
hi link ptremove_clock_gating_check Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<remove_clock_gating_check\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptremove_clock_gating_check



syn keyword ptremove_clock_latency contained  source
hi link ptremove_clock_latency Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<remove_clock_latency\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptremove_clock_latency



syn keyword ptremove_clock_network_sync_input contained 
hi link ptremove_clock_network_sync_input Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<remove_clock_network_sync_input\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptremove_clock_network_sync_input



syn keyword ptremove_clock_transition contained 
hi link ptremove_clock_transition Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<remove_clock_transition\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptremove_clock_transition



syn keyword ptremove_clock_uncertainty contained  from to rise fall from_edge to_edge setup hold
hi link ptremove_clock_uncertainty Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<remove_clock_uncertainty\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptremove_clock_uncertainty



syn keyword ptremove_context contained  timing-environment design_rules constant_inputs
hi link ptremove_context Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<remove_context\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptremove_context



syn keyword ptremove_delcalc_resource contained  all
hi link ptremove_delcalc_resource Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<remove_delcalc_resource\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptremove_delcalc_resource



syn keyword ptremove_design contained  all hierarchy
hi link ptremove_design Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<remove_design\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptremove_design



syn keyword ptremove_design_mode contained 
hi link ptremove_design_mode Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<remove_design_mode\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptremove_design_mode



syn keyword ptremove_disable_clock_gating_check contained 
hi link ptremove_disable_clock_gating_check Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<remove_disable_clock_gating_check\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptremove_disable_clock_gating_check



syn keyword ptremove_disable_timing contained  from to
hi link ptremove_disable_timing Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<remove_disable_timing\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptremove_disable_timing



syn keyword ptremove_drive_resistance contained 
hi link ptremove_drive_resistance Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<remove_drive_resistance\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptremove_drive_resistance



syn keyword ptremove_driving_cell contained  rise-fall min max
hi link ptremove_driving_cell Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<remove_driving_cell\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptremove_driving_cell



syn keyword ptremove_equivalent_inputs contained  all group_name
hi link ptremove_equivalent_inputs Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<remove_equivalent_inputs\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptremove_equivalent_inputs



syn keyword ptremove_fanout_load contained 
hi link ptremove_fanout_load Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<remove_fanout_load\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptremove_fanout_load



syn keyword ptremove_from_collection contained 
hi link ptremove_from_collection Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<remove_from_collection\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptremove_from_collection



syn keyword ptremove_generated_clock contained  all|
hi link ptremove_generated_clock Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<remove_generated_clock\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptremove_generated_clock



syn keyword ptremove_input_delay contained  clock clock_fall level_sensitive rise fall max min
hi link ptremove_input_delay Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<remove_input_delay\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptremove_input_delay



syn keyword ptremove_lib contained  all
hi link ptremove_lib Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<remove_lib\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptremove_lib



syn keyword ptremove_license contained 
hi link ptremove_license Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<remove_license\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptremove_license



syn keyword ptremove_max_area contained 
hi link ptremove_max_area Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<remove_max_area\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptremove_max_area



syn keyword ptremove_max_capacitance contained 
hi link ptremove_max_capacitance Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<remove_max_capacitance\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptremove_max_capacitance



syn keyword ptremove_max_fanout contained 
hi link ptremove_max_fanout Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<remove_max_fanout\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptremove_max_fanout



syn keyword ptremove_max_time_borrow contained 
hi link ptremove_max_time_borrow Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<remove_max_time_borrow\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptremove_max_time_borrow



syn keyword ptremove_max_transition contained 
hi link ptremove_max_transition Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<remove_max_transition\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptremove_max_transition



syn keyword ptremove_min_capacitance contained 
hi link ptremove_min_capacitance Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<remove_min_capacitance\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptremove_min_capacitance



syn keyword ptremove_min_pulse_width contained  low high
hi link ptremove_min_pulse_width Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<remove_min_pulse_width\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptremove_min_pulse_width



syn keyword ptremove_mode contained  design_mode from through to
hi link ptremove_mode Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<remove_mode\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptremove_mode



syn keyword ptremove_net contained  all
hi link ptremove_net Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<remove_net\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptremove_net



syn keyword ptremove_operating_conditions contained 
hi link ptremove_operating_conditions Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<remove_operating_conditions\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptremove_operating_conditions



syn keyword ptremove_output_delay contained  clock clock_fall level_sensitive rise fall max min
hi link ptremove_output_delay Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<remove_output_delay\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptremove_output_delay



syn keyword ptremove_path_group contained  all
hi link ptremove_path_group Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<remove_path_group\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptremove_path_group



syn keyword ptremove_port_fanout_number contained 
hi link ptremove_port_fanout_number Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<remove_port_fanout_number\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptremove_port_fanout_number



syn keyword ptremove_propagated_clock contained 
hi link ptremove_propagated_clock Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<remove_propagated_clock\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptremove_propagated_clock



syn keyword ptremove_resistance contained 
hi link ptremove_resistance Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<remove_resistance\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptremove_resistance



syn keyword ptremove_user_attribute contained  quiet class
hi link ptremove_user_attribute Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<remove_user_attribute\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptremove_user_attribute



syn keyword ptremove_user_budget contained  from to
hi link ptremove_user_budget Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<remove_user_budget\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptremove_user_budget



syn keyword ptremove_wire_load_min_block_size contained 
hi link ptremove_wire_load_min_block_size Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<remove_wire_load_min_block_size\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptremove_wire_load_min_block_size



syn keyword ptremove_wire_load_model contained 
hi link ptremove_wire_load_model Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<remove_wire_load_model\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptremove_wire_load_model



syn keyword ptremove_wire_load_selection_group contained 
hi link ptremove_wire_load_selection_group Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<remove_wire_load_selection_group\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptremove_wire_load_selection_group



syn keyword ptreport_alternative_lib_cells contained  libraries delay_type all_pins weighted_design_cost total_design_cost significant_digits nosplit
hi link ptreport_alternative_lib_cells Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<report_alternative_lib_cells\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptreport_alternative_lib_cells



syn keyword ptreport_analysis_coverage contained  status_details check_type exclude_untested sort_by significant_digits nosplit
hi link ptreport_analysis_coverage Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<report_analysis_coverage\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptreport_analysis_coverage



syn keyword ptreport_annotated_check contained  setup hold recovery removal nochange width period max_skew clock_separation max_line list_annotated list_not_annotated constant_arcs
hi link ptreport_annotated_check Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<report_annotated_check\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptreport_annotated_check



syn keyword ptreport_annotated_delay contained  cell net from_in_ports to_out_ports max_line list_annotated list_not_annotated constant_arcs
hi link ptreport_annotated_delay Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<report_annotated_delay\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptreport_annotated_delay



syn keyword ptreport_annotated_parasitics contained  check cell from_in_ports max_line list_annotated list_not_annotated constant_arcs
hi link ptreport_annotated_parasitics Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<report_annotated_parasitics\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptreport_annotated_parasitics



syn keyword ptreport_attribute contained  class nosplit application
hi link ptreport_attribute Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<report_attribute\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptreport_attribute



syn keyword ptreport_bottleneck contained  cost_type slack_lesser_than from rise_from fall_from through rise_through fall_through to max_cells max_paths nworst_paths group significant_digits nosplit
hi link ptreport_bottleneck Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<report_bottleneck\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptreport_bottleneck



syn keyword ptreport_budget_justification contained  clock_fall level_sensitive nosplit from to
hi link ptreport_budget_justification Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<report_budget_justification\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptreport_budget_justification



syn keyword ptreport_bus contained  nosplit
hi link ptreport_bus Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<report_bus\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptreport_bus



syn keyword ptreport_case_analysis contained  all nosplit
hi link ptreport_case_analysis Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<report_case_analysis\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptreport_case_analysis



syn keyword ptreport_cell contained  connections verbose significant_digits nosplit
hi link ptreport_cell Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<report_cell\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptreport_cell



syn keyword ptreport_cell_budget contained  violator_only nworst max_cells max_pins short
hi link ptreport_cell_budget Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<report_cell_budget\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptreport_cell_budget



syn keyword ptreport_clock contained  attributes skew nosplit
hi link ptreport_clock Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<report_clock\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptreport_clock



syn keyword ptreport_clock_network contained  potential_sources all_sources gating_checks multiple_fanin
hi link ptreport_clock_network Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<report_clock_network\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptreport_clock_network



syn keyword ptreport_constraint contained  all_violators verbose path_type max_delay min_delay max_capacitance min_capacitance max_transition min_transition max_fanout min_fanout min_pulse_width min_period recovery removal max_skew clock_gating_setup clock_gating_hold clock_separation remove_clock_reconvergence_pessimism ignore_register_feedback significant_digits nosplit
hi link ptreport_constraint Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<report_constraint\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptreport_constraint



syn keyword ptreport_context contained  timing environment design_rules constant_inputs nosplit
hi link ptreport_context Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<report_context\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptreport_context



syn keyword ptreport_delay_calculation contained  min max from to nosplit
hi link ptreport_delay_calculation Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<report_delay_calculation\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptreport_delay_calculation



syn keyword ptreport_design contained  nosplit
hi link ptreport_design Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<report_design\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptreport_design



syn keyword ptreport_design_mode contained  nosplit
hi link ptreport_design_mode Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<report_design_mode\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptreport_design_mode



syn keyword ptreport_disable_timing contained  nosplit
hi link ptreport_disable_timing Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<report_disable_timing\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptreport_disable_timing



syn keyword ptreport_driver_model contained  lib_cell from_pin to_pin rise_slew fall_slew capacitance
hi link ptreport_driver_model Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<report_driver_model\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptreport_driver_model



syn keyword ptreport_equivalent_inputs contained 
hi link ptreport_equivalent_inputs Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<report_equivalent_inputs\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptreport_equivalent_inputs



syn keyword ptreport_exceptions contained  from rise_from fall_from through rise_through fall_through to rise_to fall_to ignored nosplit
hi link ptreport_exceptions Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<report_exceptions\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptreport_exceptions



syn keyword ptreport_hierarchy contained  full noleaf nosplit
hi link ptreport_hierarchy Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<report_hierarchy\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptreport_hierarchy



syn keyword ptreport_lib contained  timing_arcs nosplit
hi link ptreport_lib Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<report_lib\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptreport_lib



syn keyword ptreport_min_pulse_width contained  verbose significant_digits nosplit
hi link ptreport_min_pulse_width Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<report_min_pulse_width\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptreport_min_pulse_width



syn keyword ptreport_mode contained  nosplit
hi link ptreport_mode Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<report_mode\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptreport_mode



syn keyword ptreport_model contained  verbose significant_digits nosplit
hi link ptreport_model Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<report_model\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptreport_model



syn keyword ptreport_net contained  connections verbose significant_digits nosplit
hi link ptreport_net Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<report_net\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptreport_net



syn keyword ptreport_path_budget contained  from to through nworst max_paths constraint nosplit
hi link ptreport_path_budget Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<report_path_budget\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptreport_path_budget



syn keyword ptreport_path_group contained  nosplit
hi link ptreport_path_group Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<report_path_group\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptreport_path_group



syn keyword ptreport_port contained  verbose design_rule drive input_delay output_delay wire_load nosplit
hi link ptreport_port Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<report_port\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptreport_port



syn keyword ptreport_qtm_model contained  global_parameters ports arcs nosplit
hi link ptreport_qtm_model Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<report_qtm_model\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptreport_qtm_model



syn keyword ptreport_reference contained  nosplit
hi link ptreport_reference Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<report_reference\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptreport_reference



syn keyword ptreport_timing contained  to from rise_from fall_from through rise_through fall_through delay_type nworst npaths_per_startpoint max_paths path_type true true_threshold justify false input_pins unique_pins enable_preset_clear_arcs nets slack_greater_than slack_lesser_than report_clock_reconvergence_pessimism remove_clock_reconvergence_pessimism ignore_register_feedback report_ignored_register_feedback group significant_digits nosplit transition_time capacitance crosstalk_delta
hi link ptreport_timing Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<report_timing\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptreport_timing



syn keyword ptreport_transitive_fanin contained  nosplit to
hi link ptreport_transitive_fanin Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<report_transitive_fanin\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptreport_transitive_fanin



syn keyword ptreport_transitive_fanout contained  nosplit clock_tree from
hi link ptreport_transitive_fanout Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<report_transitive_fanout\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptreport_transitive_fanout



syn keyword ptreport_wire_load contained  nosplit
hi link ptreport_wire_load Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<report_wire_load\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptreport_wire_load



syn keyword ptreset_crosstalk_nets contained  type
hi link ptreset_crosstalk_nets Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<reset_crosstalk_nets\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptreset_crosstalk_nets



syn keyword ptreset_design contained  timing
hi link ptreset_design Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<reset_design\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptreset_design



syn keyword ptreset_mode contained 
hi link ptreset_mode Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<reset_mode\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptreset_mode



syn keyword ptreset_path contained  setup hold rise fall from rise_from fall_from through rise_through fall_through to rise_to fall_to
hi link ptreset_path Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<reset_path\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptreset_path



syn keyword ptsave_qtm_model contained  format output
hi link ptsave_qtm_model Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<save_qtm_model\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptsave_qtm_model



syn keyword ptset_annotated_check contained  setup hold recovery removal nochange_high nochange_low rise fall min max from to clock cond worst
hi link ptset_annotated_check Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<set_annotated_check\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptset_annotated_check



syn keyword ptset_annotated_check contained  setup hold recovery removal nochange_high nochange_low rise min_rise max_rise fall min_fall max_fall min max from to cond clock
hi link ptset_annotated_check Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<set_annotated_check\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptset_annotated_check



syn keyword ptset_annotated_delay contained  cell net rise fall min max load_delay from to cond increment delta_only worst
hi link ptset_annotated_delay Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<set_annotated_delay\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptset_annotated_delay



syn keyword ptset_annotated_delay contained  cell net rise min_rise max_rise fall min_fall max_fall min max load_delay from to cond increment
hi link ptset_annotated_delay Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<set_annotated_delay\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptset_annotated_delay



syn keyword ptset_annotated_transition contained  rise-fall-min-max delta_only
hi link ptset_annotated_transition Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<set_annotated_transition\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptset_annotated_transition



syn keyword ptset_budget_output_driver contained  lib_cell library pin from_pin rise fall multiply_by
hi link ptset_budget_output_driver Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<set_budget_output_driver\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptset_budget_output_driver



syn keyword ptset_budget_weight contained 
hi link ptset_budget_weight Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<set_budget_weight\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptset_budget_weight



syn keyword ptset_capacitance contained  min max subtract_pin_load pin_capacitance wire_capacitance
hi link ptset_capacitance Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<set_capacitance\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptset_capacitance



syn keyword ptset_case_analysis contained 
hi link ptset_case_analysis Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<set_case_analysis\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptset_case_analysis



syn keyword ptset_clock_gating_check contained  setup hold rise fall high low
hi link ptset_clock_gating_check Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<set_clock_gating_check\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptset_clock_gating_check



syn keyword ptset_clock_latency contained  rise fall min max source late early
hi link ptset_clock_latency Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<set_clock_latency\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptset_clock_latency



syn keyword ptset_clock_network_sync_input contained 
hi link ptset_clock_network_sync_input Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<set_clock_network_sync_input\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptset_clock_network_sync_input



syn keyword ptset_clock_transition contained  rise fall min max
hi link ptset_clock_transition Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<set_clock_transition\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptset_clock_transition



syn keyword ptset_clock_uncertainty contained  from to rise fall from_edge to_edge setup hold
hi link ptset_clock_uncertainty Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<set_clock_uncertainty\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptset_clock_uncertainty



syn keyword ptset_context_margin contained  percent relax min max
hi link ptset_context_margin Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<set_context_margin\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptset_context_margin



syn keyword ptset_crosstalk_nets contained  type include exclude
hi link ptset_crosstalk_nets Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<set_crosstalk_nets\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptset_crosstalk_nets



syn keyword ptset_current_design_mode contained 
hi link ptset_current_design_mode Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<set_current_design_mode\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptset_current_design_mode



syn keyword ptset_delcalc_resource contained 
hi link ptset_delcalc_resource Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<set_delcalc_resource\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptset_delcalc_resource



syn keyword ptset_disable_clock_gating_check contained 
hi link ptset_disable_clock_gating_check Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<set_disable_clock_gating_check\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptset_disable_clock_gating_check



syn keyword ptset_disable_timing contained  from to
hi link ptset_disable_timing Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<set_disable_timing\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptset_disable_timing



syn keyword ptset_dont_touch contained 
hi link ptset_dont_touch Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<set_dont_touch\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptset_dont_touch



syn keyword ptset_dont_touch_network contained 
hi link ptset_dont_touch_network Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<set_dont_touch_network\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptset_dont_touch_network



syn keyword ptset_dpcm_rail_voltage contained  library calc_mode
hi link ptset_dpcm_rail_voltage Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<set_dpcm_rail_voltage\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptset_dpcm_rail_voltage



syn keyword ptset_drive contained  rise fall min max
hi link ptset_drive Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<set_drive\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptset_drive



syn keyword ptset_drive_resistance contained  rise fall min max
hi link ptset_drive_resistance Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<set_drive_resistance\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptset_drive_resistance



syn keyword ptset_driving_cell contained  lib_cell rise fall min max library pin from_pin multiply_by dont_scale no_design_rule input_transition_rise input_transition_fall
hi link ptset_driving_cell Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<set_driving_cell\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptset_driving_cell



syn keyword ptset_equal contained 
hi link ptset_equal Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<set_equal\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptset_equal



syn keyword ptset_equivalent_inputs contained  force group_name
hi link ptset_equivalent_inputs Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<set_equivalent_inputs\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptset_equivalent_inputs



syn keyword ptset_false_path contained  setup hold rise fall from rise_from fall_from through rise_through fall_through to rise_to fall_to
hi link ptset_false_path Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<set_false_path\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptset_false_path



syn keyword ptset_fanout_load contained 
hi link ptset_fanout_load Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<set_fanout_load\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptset_fanout_load



syn keyword ptset_input_delay contained  clock clock_fall level_sensitive rise fall max min add_delay
hi link ptset_input_delay Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<set_input_delay\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptset_input_delay



syn keyword ptset_input_transition contained  rise fall min max
hi link ptset_input_transition Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<set_input_transition\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptset_input_transition



syn keyword ptset_lcd_pulse_width_multipliers contained  mult_worst mult_nominal mult_best library
hi link ptset_lcd_pulse_width_multipliers Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<set_lcd_pulse_width_multipliers\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptset_lcd_pulse_width_multipliers



syn keyword ptset_load contained  min max subtract_pin_load pin_load wire_load
hi link ptset_load Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<set_load\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptset_load



syn keyword ptset_max_area contained 
hi link ptset_max_area Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<set_max_area\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptset_max_area



syn keyword ptset_max_capacitance contained 
hi link ptset_max_capacitance Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<set_max_capacitance\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptset_max_capacitance



syn keyword ptset_max_delay contained  rise fall from rise_from fall_from through rise_through fall_through to rise_to fall_to reset_path
hi link ptset_max_delay Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<set_max_delay\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptset_max_delay



syn keyword ptset_max_fanout contained 
hi link ptset_max_fanout Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<set_max_fanout\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptset_max_fanout



syn keyword ptset_max_time_borrow contained 
hi link ptset_max_time_borrow Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<set_max_time_borrow\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptset_max_time_borrow



syn keyword ptset_max_transition contained 
hi link ptset_max_transition Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<set_max_transition\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptset_max_transition



syn keyword ptset_min_capacitance contained 
hi link ptset_min_capacitance Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<set_min_capacitance\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptset_min_capacitance



syn keyword ptset_min_delay contained  rise fall reset_path from rise_from fall_from through rise_through to rise_to fall_to
hi link ptset_min_delay Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<set_min_delay\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptset_min_delay



syn keyword ptset_min_library contained  min_version none
hi link ptset_min_library Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<set_min_library\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptset_min_library



syn keyword ptset_min_pulse_width contained  low high
hi link ptset_min_pulse_width Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<set_min_pulse_width\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptset_min_pulse_width



syn keyword ptset_mode contained  design_mode from through to
hi link ptset_mode Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<set_mode\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptset_mode



syn keyword ptset_multicycle_path contained  setup hold rise fall start end reset_path from rise_from fall_from through rise_through fall_through to rise_to fall_to
hi link ptset_multicycle_path Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<set_multicycle_path\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptset_multicycle_path



syn keyword ptset_operating_conditions contained  analysis_type library min max min_library max_library
hi link ptset_operating_conditions Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<set_operating_conditions\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptset_operating_conditions



syn keyword ptset_opposite contained 
hi link ptset_opposite Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<set_opposite\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptset_opposite



syn keyword ptset_output_delay contained  clock clock_fall level_sensitive rise fall max min add_delay group_path
hi link ptset_output_delay Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<set_output_delay\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptset_output_delay



syn keyword ptset_port_fanout_number contained  min max
hi link ptset_port_fanout_number Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<set_port_fanout_number\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptset_port_fanout_number



syn keyword ptset_propagated_clock contained 
hi link ptset_propagated_clock Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<set_propagated_clock\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptset_propagated_clock



syn keyword ptset_qtm_global_parameter contained  param lib_cell pin clock value
hi link ptset_qtm_global_parameter Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<set_qtm_global_parameter\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptset_qtm_global_parameter



syn keyword ptset_qtm_port_drive contained  type value
hi link ptset_qtm_port_drive Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<set_qtm_port_drive\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptset_qtm_port_drive



syn keyword ptset_qtm_port_load contained  type factor value
hi link ptset_qtm_port_load Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<set_qtm_port_load\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptset_qtm_port_load



syn keyword ptset_qtm_technology contained  library max_transition max_capacitance wire_load_model
hi link ptset_qtm_technology Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<set_qtm_technology\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptset_qtm_technology



syn keyword ptset_resistance contained  min max
hi link ptset_resistance Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<set_resistance\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptset_resistance



syn keyword ptset_timing_derate contained  min max clock data net_delay cell_delay cell_check
hi link ptset_timing_derate Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<set_timing_derate\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptset_timing_derate



syn keyword ptset_user_attribute contained  class quiet
hi link ptset_user_attribute Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<set_user_attribute\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptset_user_attribute



syn keyword ptset_user_budget contained  from to percent
hi link ptset_user_budget Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<set_user_budget\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptset_user_budget



syn keyword ptset_wire_load_min_block_size contained 
hi link ptset_wire_load_min_block_size Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<set_wire_load_min_block_size\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptset_wire_load_min_block_size



syn keyword ptset_wire_load_mode contained 
hi link ptset_wire_load_mode Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<set_wire_load_mode\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptset_wire_load_mode



syn keyword ptset_wire_load_model contained  name library min max
hi link ptset_wire_load_model Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<set_wire_load_model\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptset_wire_load_model



syn keyword ptset_wire_load_selection_group contained  min max library
hi link ptset_wire_load_selection_group Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<set_wire_load_selection_group\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptset_wire_load_selection_group



syn keyword ptsize_cell contained 
hi link ptsize_cell Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<size_cell\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptsize_cell



syn keyword ptsizeof_collection contained 
hi link ptsizeof_collection Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<sizeof_collection\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptsizeof_collection



syn keyword ptsort_collection contained  descending
hi link ptsort_collection Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<sort_collection\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptsort_collection



syn keyword ptswap_cell contained  dont_preserve_constraints file format
hi link ptswap_cell Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<swap_cell\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptswap_cell



syn keyword ptupdate_timing contained  full
hi link ptupdate_timing Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<update_timing\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptupdate_timing



syn keyword ptwrite_changes contained  format output
hi link ptwrite_changes Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<write_changes\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptwrite_changes



syn keyword ptwrite_clock_network contained  name format output
hi link ptwrite_clock_network Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<write_clock_network\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptwrite_clock_network



syn keyword ptwrite_context contained  timing environment design_rules constant_inputs derive_file_name prefix extension script_directory separator output format nosplit
hi link ptwrite_context Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<write_context\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptwrite_context



syn keyword ptwrite_ilm_netlist contained  include_all_net_pins verbose
hi link ptwrite_ilm_netlist Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<write_ilm_netlist\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptwrite_ilm_netlist



syn keyword ptwrite_ilm_parasitics contained  input_port_nets
hi link ptwrite_ilm_parasitics Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<write_ilm_parasitics\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptwrite_ilm_parasitics



syn keyword ptwrite_ilm_script contained  instance format compress
hi link ptwrite_ilm_script Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<write_ilm_script\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptwrite_ilm_script



syn keyword ptwrite_ilm_sdf contained  input_port_nets output_port_nets significant_digits annotated no_edge compress
hi link ptwrite_ilm_sdf Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<write_ilm_sdf\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptwrite_ilm_sdf



syn keyword ptwrite_physical_annotations contained  sdf version nets_only cells_only boundary_nets parasitics append format
hi link ptwrite_physical_annotations Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<write_physical_annotations\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptwrite_physical_annotations



syn keyword ptwrite_script contained  no_annotated_delay no_annotated_check format output compress nosplit
hi link ptwrite_script Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<write_script\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptwrite_script



syn keyword ptwrite_sdc contained  compress nosplit
hi link ptwrite_sdc Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<write_sdc\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptwrite_sdc



syn keyword ptwrite_sdf contained  version no_cell_delays no_timing_checks no_net_delays input_port_nets output_port_nets significant_digits enabled_arcs_only no_internal_pins instance context map annotated levels no_edge compress
hi link ptwrite_sdf Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<write_sdf\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptwrite_sdf



syn keyword ptwrite_sdf_constraints contained  version max_paths nworst slack_lesser_than cover_design from rise_from fall_from to through rise_through fall_through significant_digits context
hi link ptwrite_sdf_constraints Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<write_sdf_constraints\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptwrite_sdf_constraints



syn keyword ptwrite_spice_deck contained  output sub_circuit_file full_clock_cone logic_one_voltage logic_zero_voltage initial_delay minimum_transition_time
hi link ptwrite_spice_deck Special
syn region tcltkCommand matchgroup=tcltkCommandColor start="\<write_spice_deck\>" matchgroup=NONE skip="^\s*$" end="]\|[^\\]*\s*$"me=e-1 contains=tclLineContinue,tclNumber,tclVarRef,tclString,tcltkCommand,ptwrite_spice_deck

